curl -X GET \
'https://api.appcharge.com/coupons/coupon/summer26/promo-code/swx1' \
-H 'x-publisher-token: <x-publisher-token>'
{
"name": "swx1",
"active": true,
"maxRedemptions": 250,
"createdAt": "2025-01-22T15:58:24.116Z",
"updatedAt": "2025-01-25T08:44:26.668Z",
"redemptions": 100,
}
{
"error": "Invalid coupon name. Use only English letters and numbers."
}
{
"error": "Invalid promo code name. Use only English letters and numbers."
}
{
"error": "Coupon not found."
}
{
"error": "Promo code not found."
}
{
"error": "Unexpected error. Please contact support."
}
Coupons
Get Promo Code
Retrieves a specific promo code.
GET
/
coupons
/
coupon
/
{couponName}
/
promo-code
/
{promoCodeName}
curl -X GET \
'https://api.appcharge.com/coupons/coupon/summer26/promo-code/swx1' \
-H 'x-publisher-token: <x-publisher-token>'
{
"name": "swx1",
"active": true,
"maxRedemptions": 250,
"createdAt": "2025-01-22T15:58:24.116Z",
"updatedAt": "2025-01-25T08:44:26.668Z",
"redemptions": 100,
}
{
"error": "Invalid coupon name. Use only English letters and numbers."
}
{
"error": "Invalid promo code name. Use only English letters and numbers."
}
{
"error": "Coupon not found."
}
{
"error": "Promo code not found."
}
{
"error": "Unexpected error. Please contact support."
}
curl -X GET \
'https://api.appcharge.com/coupons/coupon/summer26/promo-code/swx1' \
-H 'x-publisher-token: <x-publisher-token>'
{
"name": "swx1",
"active": true,
"maxRedemptions": 250,
"createdAt": "2025-01-22T15:58:24.116Z",
"updatedAt": "2025-01-25T08:44:26.668Z",
"redemptions": 100,
}
{
"error": "Invalid coupon name. Use only English letters and numbers."
}
{
"error": "Invalid promo code name. Use only English letters and numbers."
}
{
"error": "Coupon not found."
}
{
"error": "Promo code not found."
}
{
"error": "Unexpected error. Please contact support."
}
Authorizations
Publisher token, as displayed in the Publisher Dashboard.
Path Parameters
Coupon name.
Example:
"summer26"
Promo code name.
Example:
"swx1"
Response
Promo code retrieved successfully.
Promo code name.
Example:
"swx1"
Whether the promo code is active.
Example:
true
Maximum number of times this promo code can be redeemed.
Example:
50
Timestamp when the promo code was created.
Example:
"2025-01-22T15:58:24.116Z"
Timestamp when the promo code was last updated.
Example:
"2025-01-25T08:44:26.668Z"
Number of times this promo code has been redeemed.
Example:
10
Was this page helpful?
